Apply Asset Package error - Get attribute metersPerUnit does not exist

888
6
Jump to solution
04-29-2019 05:28 AM
AnthonyRyanEQL
Occasional Contributor III

Hi all,

Just wondering has anybody experienced this error before when applying the asset package? I had the 'Load Data' & Spatial Index checked.

I'm using ArcGIS Enterprise 10.6.1, SQL Server 2017, ArcGIS Pro 2.3.2 on Win 7 x64 desktop & FME2019.0 Desktop.

The asset package originally created by exporting the UN from an enterprise geodatabase which created by using the Create Utility Network GP tool. The service territory is just larger than Australia and set to GDA2020 coordinate system.

I have 2 network domains - Electrical & Communication with Asset Group & Asset Type are set up on these as well as Structure. StructureJunction feature class only has data in it (1.1M records as a test so far).

Start Time: Monday, 29 April 2019 8:13:22 PM
Running script AssetPackageToUtilityNetwork...
ArcGIS Pro 2.3.2.15850
untools 2.3.2
A python error occurred.
EXCEPTION
Traceback (most recent call last):
File "c:\program files\arcgis\pro\Resources\arcpy\arcpy\arcobjects\_base.py", line 90, in _get
return convertArcObjectToPythonObject(getattr(self._arc_object, attr_name))
AttributeError: SpatialReference: Get attribute metersPerUnit does not exist

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "C:\Users\anryan\AppData\Local\ESRI\conda\envs\un\Lib\site-packages\untools\common\wrappers.py", line 83, in wrapper
return func(*args, **kwargs)
File "C:\Users\anryan\AppData\Local\ESRI\conda\envs\un\Lib\site-packages\untools\gptools\tools.py", line 397, in run
apply.main()
File "C:\Users\anryan\AppData\Local\ESRI\conda\envs\un\Lib\site-packages\untools\utils\shared_validation.py", line 2601, in main
self.validator.validate_all()
File "C:\Users\anryan\AppData\Local\ESRI\conda\envs\un\Lib\site-packages\untools\utils\shared_validation.py", line 106, in validate_all
func()
File "C:\Users\anryan\AppData\Local\ESRI\conda\envs\un\Lib\site-packages\untools\utils\shared_validation.py", line 234, in validate_extent
scaled = ct.scale_polygon(polygon=envelope, scale=1.1)
File "C:\Users\anryan\AppData\Local\ESRI\conda\envs\un\Lib\site-packages\untools\common\common.py", line 687, in scale_polygon
scale /= polygon.spatialReference.metersPerUnit
File "c:\program files\arcgis\pro\Resources\arcpy\arcpy\arcobjects\_base.py", line 96, in _get
(attr_name, self.__class__.__name__))
NameError: The attribute 'metersPerUnit' is not supported on this instance of SpatialReference.
Failed to execute (AssetPackageToUtilityNetwork).
Failed at Monday, 29 April 2019 8:14:04 PM (Elapsed Time: 42.17 seconds)

Thanks for your time with this.

Regards

0 Kudos
1 Solution

Accepted Solutions
PaulLeBlanc1
Esri Contributor

There's a bug with using GCS. You only run into it when `Load data` is checked in untools 2.3.2.

2.3.1 does not have this issue.

View solution in original post

0 Kudos
6 Replies
PaulLeBlanc1
Esri Contributor

There's a bug with using GCS. You only run into it when `Load data` is checked in untools 2.3.2.

2.3.1 does not have this issue.

0 Kudos
AnthonyRyanEQL
Occasional Contributor III

Paul,

Thanks again for this. Is there a propose timeline for this fix? Just thought this issue is a big one.

Is there page/section that has all the error messages, bugs listed with status, etc. associated to the untool py package? It might help in trying to debug what is going on, etc.

Also, Just wondering what steps would you take from here? Do I wait for release 2.3.x or should I downgrade the py package to 2.3.1 and potentially run in other issues, etc.

Thanks again

0 Kudos
PaulLeBlanc1
Esri Contributor

I have a RC version of untools that has a fix for this and a few other issues. You can install it from a python command prompt. Note, any installs from this channel are beta development versions so therefore not supported.

conda install -c solutionsdev/label/pro2.3 untools

This will install 2.3.2.X  Assuming all goes well, there is plans for a public 2.3.3 release of untools before June.

0 Kudos
AnthonyRyanEQL
Occasional Contributor III

Paul,

Thanks for the beta version and excellent news on V2.3.3 coming out in the next few weeks

0 Kudos
AnthonyRyanEQL
Occasional Contributor III

Paul,

Just wondering how the fix and new release of the untools package is going?

I saw in another post that you were hoping untools V2.3.3 will be released this week/early next week.

Thanks

0 Kudos
PaulLeBlanc1
Esri Contributor

untools 2.3.3 was released last week.

0 Kudos